import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.util.Hashtable;

import quadbase.ChartAPI.DBInfo;
import quadbase.ChartAPI.QbChart;


public class ChartSwitchToDatabaseJNDI extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			ChartSwitchToDatabaseJNDI chart = new ChartSwitchToDatabaseJNDI();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", chart.doChartSwitchToDatabaseJNDI(null));
			frame.addWindowListener(new WindowAdapter() {
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	public void init() {
		setLayout(new BorderLayout());
		add("Center", doChartSwitchToDatabaseJNDI(this));
	}

	Component doChartSwitchToDatabaseJNDI(Applet parent)  {
		
		// Do not use EspressManager
		QbChart.setEspressManagerUsed(false);
		
		// Data Source.  Replace comp with computer and env with environment.
		// The environment hashtable is empty for tomcat.
		// If other application server is used, need to set INITIAL_CONTEXT_FACTORY and PROVIDER_URL. 
		DBInfo newDatabaseInfo = new DBInfo("java:comp/env/jdbc/Woodview", 
										 "SELECT Categories.CategoryName, Avg(Products.UnitPrice) AS Avg_Of_UnitPrice FROM Products, Categories WHERE (Products.CategoryID = Categories.CategoryID) GROUP BY Categories.CategoryName",
										 new Hashtable());
		
		// Open the template
		QbChart chart = new QbChart (parent,          													// container 
						   	  			"ChartSwitchToDatabaseJNDI.cht");	// template
		
		try {
			// Switch data source
			chart.gethInputData().setDatabaseInfo(newDatabaseInfo);
			
			// Refresh chart
			chart.refresh();
		} catch (Exception ex)
		{
			ex.printStackTrace();
			
		}
	
		// Show report in Viewer
		return chart;
	}


}
